<?php
include_once('../common/delegate.php');
// Start the session
session_start();

// Make new Delegate instance
$delegate = new Delegate();

// Get logged user, and save him as object
$loggedUser = $delegate->getUserById($_SESSION['userId']);

// Check if logged user is admin
if($loggedUser->level < USER_LEVEL_ADMIN) {
	header('Location: '. SERVER_ROOT .'/daily/daily.php');
	exit();
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Clients</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />        
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    
    <body>
		<?php
			define('SECTION', 'clients');
			include_once('../common/header.php');
			include_once('../common/mainbar.php');
			print showErrorAndMessagesLogs();
?>
        <div class="page_title">Add new client</div>     
        <form action="<?=SERVER_ROOT?>/common/controller.php" method="post" style="display:inline">
            <table cellpadding="0" cellspacing="3" class="form_style">
                <tr>
                    <th><label for="name">Client name</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input style="width:209px;" type="text" name="name" id="name"></td>
                </tr>

                <tr>
                    <th>&nbsp;</th>
                    <td>&nbsp;</td>
                    <td align="right">
                        <input type="hidden" name="action" value="addClientExe">
                        <button type="submit" class="submit_button" style="width:110px;cursor:pointer"><img src="<?=SERVER_ROOT?>/assets/images/icons/client_add.gif" style="vertical-align:middle;" /> &nbsp;Add client</button>       
                    </td>
                </tr>
                
                <tr>
                    <td class="required_field_info"><span class="required_field" title="Mandatory field">*</span>&nbsp;mandatory field</td>
                </tr>
            </table>   
        </form>
			<br/>
			<hr/>
        
<?
		// Get all clients for current user company id	
		$clients = $delegate->getClients(false, false, false, 'client_name ASC');
		
		if(is_array($clients) AND count($clients) > 0) { ?>
			<div class="page_title">Clients</div> 
			<table cellpadding="7" cellspacing="0" class="list_something">   
				<tr>
					<th>#</th>
					<th>Name</th>
					<th colspan="2">Actions</th>
				</tr>
		<?
			foreach($clients as $clientKey => $client) { ?>   
				<tr>
					<td><?=$clientKey+1?></td>
					<td><?=$client->name?></td>
                    <td><a href="<?=SERVER_ROOT?>/common/controller.php?action=goToEditClient&amp;clientId=<?=$client->id?>"><img src="<?=SERVER_ROOT?>/assets/images/icons/client_edit.gif" border="0" alt="Edit" title="Edit" /></a></td>
					<td><a onclick="javascript:return confirm('Are you sure you want to delete this client?\nAll projects and entries from this client will also be deleted!');"  href="<?=SERVER_ROOT?>/common/controller.php?action=doDeleteClientExe&amp;clientId=<?=$client->id?>"><img src="<?=SERVER_ROOT?>/assets/images/icons/client_delete.gif" border="0" alt="Delete" title="Delete" /></a></td>
				</tr>            
		<?	} ?>
			</table>
            
                 <br /><br />
            
            <table cellpadding="7" cellspacing="0" class="list_something">
                <tr>
                    <th colspan="2">Legend</th>
                </tr>
                
                <tr>
                    <td><img src="<?=SERVER_ROOT?>/assets/images/icons/client_edit.gif" /></td>
                    <td align="left">edit client</td>
                </tr>

                <tr>
                    <td><img src="<?=SERVER_ROOT?>/assets/images/icons/client_delete.gif" /></td>
                    <td align="left">delete client</td>
                </tr>
            </table>
		<?} ?>
            
		<!-- FOOTER -->
        <?include_once('../common/footer.php');?>
        
    </body>
</html>