<?php
include_once('../common/delegate.php');
include_once('../common/calendar.php');

// Start the session
session_start();

// Check if user is logged
if(!is_numeric($_SESSION['userId'])) {
	header('Location: '. SERVER_ROOT .'');
	exit();
}

// Collect data
$entryId = intval($_GET['entryId']);

// Check if entry id is numeric
if(!is_numeric($entryId) OR $entryId <= 0) {
	$_SESSION['errors'][] = 'Inexistent entry!';
	header('Location: '. SERVER_ROOT .'/daily/daily.php');
	exit();
} 

// Make new Delegate instance
$delegate = new Delegate();

// Load user as object, from SQL by id
$loggedUser = $delegate->getUserById($_SESSION['userId']);

// Check if user exists into DB
if(!is_object($loggedUser)) {
	header('Location: '. SERVER_ROOT .'');
	exit();	
}

// Get entry
$entries = $delegate->getEntries(array('id' => $entryId, 'userid' => $loggedUser->id));

// Check if entry exists for logged user
if(is_array($entries) AND count($entries) == 1) {
	foreach($entries as $entryKey => $entry);
	
} else {
	$_SESSION['errors'][] = 'Inexistent entry!';
	header('Location: '. SERVER_ROOT .'/daily/daily.php');
	exit();	
}


// Get project by Id
$projects = $delegate->getProjects(array('id' => $entry->projectId));
if(is_array($projects) AND count($projects) > 0) {
	foreach($projects as $projectKey => $project);
}

// Get task by id
$tasks = $delegate->getTasks(array('id' => $entry->taskId));
if(is_array($tasks) AND count($tasks) > 0) {
	foreach($tasks as $taskKey => $task);
} else {
	$task = null;
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Close entry</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
        <script language="JavaScript" type="text/javascript">
            
            /*
            * You can not reuse the XMLHttpRequest in IE6
            * See: http://radio.javaranch.com/pascarello/2006/03/30/1143735438047.html
            */
            function getHTTPObject() {
                var http;
                if (window.XMLHttpRequest) { // Mozilla, Safari,...
                    
                    http = new XMLHttpRequest();
                    if (http.overrideMimeType) {
                        http.overrideMimeType('text/html');
                        //netscape.security.PrivilegeManager.enablePrivilege("UniversalPreferencesRead");
                    }
                } else if (window.ActiveXObject) { // IE
                    try {
                        http = new ActiveXObject("Msxml2.XMLHTTP");
                    } catch (i) {
                        try {
                            http = new ActiveXObject("Microsoft.XMLHTTP");
                        } catch (i) {}
                    }
                }
                return http;                
            }
            
            
            function currentTime(){
                var today = new Date();

                digitalHour = today.getHours();
                digitalMin = today.getMinutes();
                digitalSec = today.getSeconds();

                if (digitalHour < 10) { digitalHour = "0" + digitalHour; }
                if (digitalMin < 10) { digitalMin = "0" + digitalMin; }
                if (digitalSec < 10) { digitalSec = "0" + digitalSec; }

                timeLocal = digitalHour + ":" + digitalMin // + ":" + digitalSec    

                return timeLocal;
            }
            
                      /*Just trim a string (of white spaces)*/
           function trim(str){
               return str.replace(/^\s+|\s+$/g, '');
           } 
            
            
            
           /*Set a time field to current time*/ 
           /*Set a time field to current time*/ 
           function now(theId){
               var http = getHTTPObject();
               
               var timeElem = document.getElementById(theId);
               
               if(timeElem.disabled){
                   return;
               }
              
               var tempDate = new Date();
               var url = '<?=SERVER_ROOT?>/common/currentTime.php?' + 'time='+tempDate.getTime();
                //get selected project
                               
                http.open("GET", url, true);
                http.onreadystatechange = function() {
                    if (http.readyState == 4 && http.status == 200) {
                        var result = http.responseText;
                        timeElem.value = result;
                    }
                    else {
                    }
                }
               http.send("");	            
               ///alert('Log: sent!');
           }
           
                      /*Ads leading zero for hour and minutes*/
           function leadingZero(anInt){
               var str = anInt.toString()
               if(anInt < 10 && anInt >=0 ){
                   str = '0' + str;
               }
               
               return str;
           }
               
           /*Increase a time field by 15 minutes*/
           function increaseTime(theId){    
               var timeElem = document.getElementById(theId);
               
               if(timeElem.disabled){
                   return;
               }
               
               var oldTime, newTime;
               oldTime = timeElem.value;
               newTime = '';
               
               if(trim(oldTime) == ''){ //no time set up
                   newTime = currentTime();
               }
               
               if(oldTime.indexOf(":") == -1){
                   newTime = currentTime();
               }
               else{
                   var timeSeparator = oldTime.indexOf(":");
                   var digitalHour = oldTime.substring(0,timeSeparator);
                   var digitalMinute = oldTime.substring(timeSeparator+1);
                   //alert('Hour is ' + digitalHour + ' minute is: ' + digitalMinute);
                   
                   var digitalHourInt = parseInt(digitalHour,10);                                      
                   var digitalMinuteInt = parseInt(digitalMinute,10);
                   //alert('Hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
                   
                   if(isNaN(digitalHourInt) || isNaN(digitalMinuteInt)){
                       //alert('Hour is not a number');
                       newTime = currentTime();
                   }
                   else if(digitalHourInt < 0 || digitalMinuteInt < 0){
                       newTime = currentTime();
                   }    
                   else{                   
                       digitalMinuteInt  = digitalMinuteInt + 15;

                       if(digitalMinuteInt >= 60){
                           digitalMinuteInt = digitalMinuteInt % 60;                       
                           digitalHourInt++;
                           if(digitalHourInt > 23){
                               digitalHourInt = digitalHourInt % 24;
                           }

                       }
                       //alert('New hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
                       newTime = leadingZero(digitalHourInt) + ':' + leadingZero(digitalMinuteInt);
                   }
               }//end else
               
               timeElem.value = newTime;
           }
           
           
           /*Increase a time field by 15 minutes*/
           function decreaseTime(theId){   
               var timeElem = document.getElementById(theId);
               if(timeElem.disabled){
                   return;
               }
               
               var oldTime, newTime;
               oldTime = timeElem.value;
               newTime = '';
               
               if(trim(oldTime) == ''){ //no time set up
                   newTime = currentTime();
               }
               
               if(oldTime.indexOf(":") == -1){
                   newTime = currentTime();
               }
               else{
                   var timeSeparator = oldTime.indexOf(":");
                   var digitalHour = oldTime.substring(0,timeSeparator);
                   var digitalMinute = oldTime.substring(timeSeparator+1);
                   //alert('Hour is ' + digitalHour + ' minute is: ' + digitalMinute);
                   
                   var digitalHourInt = parseInt(digitalHour,10);                                      
                   var digitalMinuteInt = parseInt(digitalMinute,10);
                   //alert('Hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
                   
                   if(isNaN(digitalHourInt) || isNaN(digitalMinuteInt)){
                       //alert('Hour is not a number');
                       newTime = currentTime();
                   }
                   else if(digitalHourInt < 0 || digitalMinuteInt < 0){
                       newTime = currentTime();
                   }    
                   else{                   
                       digitalMinuteInt  = digitalMinuteInt - 15;

                       if(digitalMinuteInt < 0){
                           digitalMinuteInt = 60 - Math.abs(digitalMinuteInt % 60);                       
                           digitalHourInt--;
                           if(digitalHourInt < 0){
                               digitalHourInt =  24 - Math.abs(digitalHourInt % 24);
                           }

                       }
                       //alert('New hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
                       newTime = leadingZero(digitalHourInt) + ':' + leadingZero(digitalMinuteInt);
                   }
               }//end else
               
               timeElem.value = newTime;
           }
        </script>
        
        <script type="text/javascript" src=" ${pageContext.servletContext.contextPath}/assets/javascript/general.js"></script>        
    </head>
    <body>
		<?php
			define('SECTION', 'daily');
			include_once("../common/header.php");
			include_once("../common/mainbar.php");
			print showErrorAndMessagesLogs();
		?>

        
        <div class="page_title">Close entry</div>    
        
        <form action="<?=SERVER_ROOT?>/common/controller.php" method="POST" name="finishEntryForm">
            <table cellpadding="0" cellspacing="3" class="form_style" style="border-style:none;">
                <tr>
                    <th>Project</th>
                    <td>&nbsp;</td>
                    <td><?=$project->name?></td>
                    <td>&nbsp;</td>
                </tr>
                
                <tr>
                    <th>Task</th>
                    <td>&nbsp;</td>
                    <td><?=($task == null) ? "(Not specified)" : $task->name ?></td>
                    <td>&nbsp;</td>
                </tr>

                <tr>
                    <th>Start</th>
                    <td>&nbsp;</td>
                    <td><?=$entry->date?>&nbsp;<b><?=date("H:i", strtotime($entry->startTime))?></b></td>
                    <td>&nbsp;</td>
                </tr>
                
                <tr>
                    <th><label for="endTime">Finished (hh:mm)</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><?=$entry->date?>&nbsp; 
                        <input type="text" name="endTime" id="endTime" style="font-weight:bold;width:80px;">
                    </td>        
                    <td><a href="#"  onclick="javascript:now('endTime')">Now</a> (<a href="#" onclick="increaseTime('endTime')">+</a>&nbsp;<a href="#" onclick="decreaseTime('endTime')">-</a>)</td>    
                </tr>
                
                <tr>
                    <td colspan="3" align="right" style="padding-top:15px;">
                        <input type="hidden" name="action" value="doCloseEntryExe">
                        <input type="hidden" name="startTime" value="<?=date("H:i", strtotime($entry->startTime))?>">
                        <input type="hidden" name="date" value="<?=$entry->date?>">
                        <input type="hidden" name="entryId" value="<?=$entry->id?>">
                        <a href="<?=SERVER_ROOT?>/common/controller.php?action=goToDaily" class="cancel_action">Cancel</a>
                        &nbsp;
                        <input type="submit" class="submit_button" style="width:150px;" value="Close entry">
                    </td>
                    <td>&nbsp;</td>
               </tr>
               
               <tr>
                   <td class="required_field_info"><span class="required_field" title="Mandatory field">*</span>&nbsp;mandatory field</td>
               </tr>
               
            </table>
        </form>












		
		<!-- FOOTER -->
        <?include_once("../common/footer.php");?>
        
    </body>
</html>