<?php

include_once('./common/delegate.php');

// Start the session
session_start();

$delegate = new Delegate();

################################################################################
###   Check if user is already exits   #########################################

/**
 * [1] Session method
 */

// Check is user id session is set and is numeric
if(isset($_SESSION['userId']) AND is_numeric($_SESSION['userId'])) {

	// Load user as object, from SQL by id
	$loggedUser = $delegate->getUserById(intval($_SESSION['userId']));
	
	if(is_numeric($loggedUser->id)) {
		header("Location: ". SERVER_ROOT ."/daily/daily.php");
		exit();
	}

/**
 * [2] Cookie method
 */
// Check if user id cookie is set and is numeric
} elseif(isset($_COOKIE['userId']) AND is_numeric($_COOKIE['userId'])) {

	// Load user as object, from SQL by id
	$loggedUser = $delegate->getUserById(intval($_COOKIE['userId']));
	
	if(is_numeric($loggedUser->id)) {
		$_SESSION['userId']		= $loggedUser->id;
		
		// Set up the callendar dates
		$_SESSION['calendarYear']	=	date("Y");
		$_SESSION['calendarMonth']	=	date("m");
		$_SESSION['calendarDay']	=	date("j");
		
		header("Location: ". SERVER_ROOT ."/daily/daily.php");
		exit();
	}
}

################################################################################
################################################################################
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TimeTracker - the easier time tracker around the world</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    
	<body onload="document.getElementById('email').focus();">
        <table cellpadding="0" cellspacing="0" class="index_table">
            <tr>
                <!-- logo -->
                <td width="70%">
                
					<table cellpadding="0" cellspacing="0">
					    <tr>
					        <!-- <td rowspan="2">
					            <img style="vertical-align:top" src="<?=SERVER_ROOT?>/assets/images/logo_clock.gif" width="23" height="29" border="0"/>
					        </td>    
					
					        <td>
					            <span class="logo_firstword">&nbsp;Time</span><span class="logo_secondword">Tracking</span>
					            <div class="motto">&nbsp;&nbsp;the easier time tracking system around the world</div>
					        </td> -->
                            
                            
                            <td colspan="2">
                                <img src="<?=SERVER_ROOT?>/assets/images/logo.gif" border="0" />                            
                            </td>    
					    </tr>
					</table>
					
                </td>
                
                <!--top links-->
                <td class="index_top_links_all" valign="bottom">

                    <a href="./" class="index_top_links"><img src="<?=SERVER_ROOT?>/assets/images/top_menu_link_arrow.gif" width="12" height="10" />Forum</a>
                    &nbsp;&nbsp;
                    <a href="./" class="index_top_links"><img src="<?=SERVER_ROOT?>/assets/images/top_menu_link_arrow.gif" width="12" height="10" />Tutorial</a>
                    &nbsp;&nbsp;
                    <a href="<?=SERVER_ROOT?>/faq.php" class="index_top_links"><img src="<?=SERVER_ROOT?>/assets/images/top_menu_link_arrow.gif" width="12" height="10" />F.a.q</a>
                </td>
            </tr>
            
            <tr>
            	<td colspan="2" class="header_content_separator">&nbsp;</td>
            </tr>
            
            <tr>
                <td colspan="2">
					<?=showErrorAndMessagesLogs()?>                    
					<br/>
                </td>
            </tr>
            
            <tr>
                <td colspan="2">    
                    <!--AUTHENTICATION-->
                    <div class="authentication">
                          <table cellpadding="0" cellspacing="0" class="auth_table">
                            <tr>

                                <td class="auth_top_left">&nbsp;</td>
                                <td class="auth_top_line">&nbsp;</td>
                                <td class="auth_top_right">&nbsp;</td>
                            </tr>
                            
                            <tr>
                                <td class="auth_left">&nbsp;</td>
                                <td>
                                    <table class="inside_auth_info">
                                        <tr>

                                            <td class="company_name" colspan="2">
                                                <!--<img src="<?=SERVER_ROOT?>/assets/images/auth_symbol.gif" width="39" height="48" />-->
                                                <?=COMPANY_NAME?>
                                            </td>
                                        </tr>
                                        
                                        <tr>
                                            <td class="auth_separator" colspan="2">&nbsp;</td>
                                        </tr>
                                                
                                        <tr>
                                            <td colspan="2" class="auth_text">

												<form action="<?=SERVER_ROOT?>/common/controller.php" id="loginForm" method="post">
													<input type="hidden" name="action" value="doLoginExe">
													
                                                    <table cellpadding="0" cellspacing="10">
                                                        <tr>
                                                            <td colspan="2" class="auth_title" align="center">
                                                                Please authenticate to use the application
                                                                <br/><br/>
                                                            </td>
                                                        </tr>    
                                                        <tr>
                                                            <td align="right"><label for="email">Email:</label></td>

                                                            <td><input style="width:210px;" type="text" name="email" id="email" tabindex="1" value="" /></td>
                                                        </tr>
                                                        
                                                        <tr>
                                                            <td align="right"><label for="password">Password:</label></td>
                                                            <td><input style="width:210px;" type="password" name="password" id="password" tabindex="2" value="" /></td>
                                                        </tr>
                                                        
                                                        <tr>
                                                            <td colspan="2" align="right">

                                                                <a href="<?=SERVER_ROOT?>/forgotPassword.php" class="forgot_password" tabindex="5">Forgot password?</a>&nbsp;|
                                                                <label for="remember"><span class="remember_me">Remember me</span></label>
                                                                <input type="checkbox" name="remember" id="remember" tabindex="6"/> 
                                                            </td>
                                                        </tr>
                                                        
                                                        <tr>
                                                            <td colspan="2" align="right">
                                                                <br/>

                                                                <!-- start SUBMIT BUTTON -->
                                                                    <table cellpadding="0" cellspacing="0">
                                                                        <tr>
                                                                            <td><input type="image" src="<?=SERVER_ROOT?>/assets/images/index_login_left.gif" width="11" height="31" /></td>
                                                                            <td class="index_login_repeat" onclick="document.getElementById('loginForm').submit();">&nbsp;&nbsp;Login&nbsp;&nbsp;</td>
                                                                            <td><input type="image" src="<?=SERVER_ROOT?>/assets/images/index_login_right.gif" width="30" height="31" /></td>
                                                                        </tr>

                                                                    </table>    
                                                                
                                                                
                                                                <!--use a transparent image as submit-->
                                                                <input type="image" src="<?=SERVER_ROOT?>/assets/images/index_login_transparent.gif" width="1" height="1" style="display:none" tabindex="3"/>
                                                                <!--end SUBMIT BUTTON-->
                                                                
                                                            </td>
                                                        </tr>     
                                                        
                                                    </table>
                                                </form>
                                                
                                            </td>

                                        </tr>
                                    </table>
                                </td>
                                <td class="auth_left">&nbsp;</td>
                            </tr>
                            
                            <tr>
                                <td class="auth_bottom_left">&nbsp;</td>
                                <td class="auth_bottom_line">&nbsp;</td>
                                <td class="auth_bottom_right">&nbsp;</td>

                            </tr>
                        </table>
                        
                     
                        
                    </div>    
                    
                    <!--ACCOUNT-->
                    <div class="account_text">
                        <table cellpadding="0" cellspacing="3">
                            <tr>
                                <td colspan="3">
                                    <img src="<?=SERVER_ROOT?>/assets/images/account_top_title.gif" width="296" height="27" />

                                    <div class="account_title">You will be able to:</div>
                                </td>
                            </tr>    
                            
                            <tr>
                                <td class="account_space_separator">&nbsp;</td>
                                <td class="account_img_separator"><img src="<?=SERVER_ROOT?>/assets/images/account_arrow.gif" width="8" height="9" /></td>
                                <td class="account_row_sepataror">manage users</td>
                            </tr>    
                            <tr>

                                <td class="account_space_separator">&nbsp;</td>
                                <td class="account_img_separator"><img src="<?=SERVER_ROOT?>/assets/images/account_arrow.gif" width="8" height="9" /></td>
                                <td class="account_row_sepataror">manage clients</td>
                            </tr>    
                            <tr>
                                <td class="account_space_separator">&nbsp;</td>
                                <td class="account_img_separator"><img src="<?=SERVER_ROOT?>/assets/images/account_arrow.gif" width="8" height="9" /></td>
                                <td class="account_row_sepataror">manage projects</td>

                            </tr>    
                            <tr>
                                <td class="account_space_separator">&nbsp;</td>
                                <td class="account_img_separator"><img src="<?=SERVER_ROOT?>/assets/images/account_arrow.gif" width="8" height="9" /></td>
                                <td class="account_row_sepataror">manage tasks</td>
                            </tr>    
                            <tr>
                                <td class="account_space_separator">&nbsp;</td>
                                <td class="account_img_separator"><img src="<?=SERVER_ROOT?>/assets/images/account_arrow.gif" width="8" height="9" /></td>

                                <td class="account_row_sepataror">monthly reports</td>
                            </tr>  
                            <tr>
                                <td class="account_space_separator">&nbsp;</td>
                                <td class="account_img_separator"><img src="<?=SERVER_ROOT?>/assets/images/account_arrow.gif" width="8" height="9" /></td>
                                <td class="account_row_sepataror">per user reports</td>
                            </tr>  
                            <tr>
                                <td class="account_space_separator">&nbsp;</td>

                                <td class="account_img_separator"><img src="<?=SERVER_ROOT?>/assets/images/account_arrow.gif" width="8" height="9" /></td>
                                <td class="account_row_sepataror">per project reports</td>
                            </tr>  
                            <tr>
                                <td class="account_space_separator">&nbsp;</td>
                                <td class="account_img_separator"><img src="<?=SERVER_ROOT?>/assets/images/account_arrow.gif" width="8" height="9" /></td>
                                <td class="account_row_sepataror">per client reports</td>
                            </tr>  
                        </table>

                    </div>    

                    <!--LINKS-->
                    <div class="index_links">
                    </div>    
                    
                    <!--ADVANTAGES-->
                    <div class="advantage">
                        <table cellpadding="0" cellspacing="0" class="advantage_table">
                            <tr>
                                <td class="advantage_top_left">&nbsp;</td>
                                <td class="advantage_top_line">&nbsp;</td>
                                <td class="advantage_top_right">&nbsp;</td>
                            </tr>

                            
                            <tr>
                                <td class="advantage_left">&nbsp;</td>
                                <td>
                                    <table class="inside_advantage_info">
                                        <tr>
                                            <td class="advantages_symbol"><img src="<?=SERVER_ROOT?>/assets/images/advantages_symbol.gif" width="39" height="48" /></td>
                                            
                                            <td class="advantages_title">
                                                Web based time tracking advantages
                                                <br/>
                                            </td>
                                        </tr>
                                        
                                        <tr>
                                            <td class="advantages_separator" colspan="2">&nbsp;</td>
                                        </tr>
                                                
                                        <tr>

                                            <td colspan="2" class="advantages_text">
                                                <img src="<?=SERVER_ROOT?>/assets/images/advantages_arrow.gif" width="12" height="9" />Simple to use
                                                <br/>
                                                <img src="<?=SERVER_ROOT?>/assets/images/advantages_arrow.gif" width="12" height="9" />Remote access to data
                                                <br/>
                                                <img src="<?=SERVER_ROOT?>/assets/images/advantages_arrow.gif" width="12" height="9" />Advanced reports per client, project and user
                                                <br/>
                                                <img src="<?=SERVER_ROOT?>/assets/images/advantages_arrow.gif" width="12" height="9" />Staff monitoring
                                                <br/>
                                                <img src="<?=SERVER_ROOT?>/assets/images/advantages_arrow.gif" width="12" height="9" />Keep all in one place
                                                <br/>

                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td class="advantage_left">&nbsp;</td>
                            </tr>
                            
                            <tr>
                                <td class="advantage_bottom_left">&nbsp;</td>
                                <td class="advantage_bottom_line">&nbsp;</td>

                                <td class="advantage_bottom_right">&nbsp;</td>
                            </tr>
                        </table>
                    </div> 

                    <!--FOOTER-->
                    <div class="footer">
                        <img src="<?=SERVER_ROOT?>/assets/images/footer.gif" width="675" height="70" />
                        <div class="footer_text">
                            Copyright Scriptoid. All rights reserved.
                            <b>Powered by </b><a href="http://www.scriptoid.com" class="footer_link" target="_blank"><img src="<?=SERVER_ROOT?>/assets/images/poweredBy.gif" border="0" style="vertical-align:middle"/></a>.
                        </div>   
                    </div> 
                    
                </td>
            </tr>
        </table>     
    </body>
</html>