<?php
include_once('../common/delegate.php');
include_once('../common/calendar.php');

// Start the session
session_start();

// Check if user is logged
if(!is_numeric($_SESSION['userId'])) {
	header("Location: ". SERVER_ROOT ."");
	exit();
}

// Collect data from GET
if(!empty($_GET['print']) AND $_GET['print'] == true) {
	$print			=	true;
	$displayReports	=	true;
	$userId			=	$_GET['userId'];	
	$projectId		=	$_GET['projectId'];
	$startTime		=	$_GET['startDate'];
	$endTime		=	$_GET['endDate'];
	
} else {
	$print = false;
}

// Collect data from session
if(is_array($_SESSION['employeesReports'])) {
	$displayReports	=	true;
	$userId			=	$_SESSION['employeesReports']['userId'];	
	$projectId		=	$_SESSION['employeesReports']['projectId'];
	$startTime		=	$_SESSION['employeesReports']['startTime'];
	$endTime		=	$_SESSION['employeesReports']['endTime'];
	
	unset($_SESSION['employeesReports']);
}

// Make new Delegate instance
$delegate = new Delegate();

// Load user as object, from SQL by id
$loggedUser = $delegate->getUserById($_SESSION['userId']);

// Check if logged user is admin
if($loggedUser->level < USER_LEVEL_ADMIN) {
	header("Location: ". SERVER_ROOT ."/daily/daily.php");
	exit();
}

if(is_object($_SESSION['tmpEmployeesReports'])) {
	$tmpEmployeesReports = $_SESSION['tmpEmployeesReports'];
	$_SESSION['tmpEmployeesReports'] = null;
	unset($_SESSION['tmpEmployeesReports']);
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="expires" content="0">
        <title>User reports</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />

        <?	if($print == true) { ?>
        	<link href="<?=SERVER_ROOT?>/assets/css/print.css" rel="stylesheet" type="text/css" />
        <?	} else { ?>
        	<link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        <?	}	?>

        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/overlay.js"></script>

<!--for reject reason tooltip-->
		<script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/dhtmltooltip.js"></script>        
		
        <link href="<?=SERVER_ROOT?>/assets/calendar/calendar-win2k-1.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/calendar/calendar.js"></script>
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/calendar/lang/calendar-en.js"></script>

        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/calendar/calendar-setup.js"></script>
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>     
        <script language="JavaScript" type="text/javascript">            
            function pickPeriod() {
                
                var period = document.getElementById('period');
                var periodStart = document.getElementById('periodStart');
                var periodEnd = document.getElementById('periodEnd');
                switch(period.value) {
                    
                    case 'currentMonth':
                        var date = new Date()
                        date.setDate(1)
                        periodStart.value = date.getDate() + '/' + (date.getMonth() +1) + '/' + date.getFullYear()
                        
                        date.setMonth(date.getMonth() + 1)
                        date.setDate(date.getDate() - 1)
                        periodEnd.value = date.getDate() + '/' + (date.getMonth() +1) + '/' + date.getFullYear()
                        break;
                        
                    case 'lastMonth':
                        var date = new Date();
                        date.setDate(1)
                        date.setMonth(date.getMonth() - 1)
                        periodStart.value = date.getDate() + '/' + (date.getMonth() +1) + '/' + date.getFullYear()
                        
                        date.setMonth(date.getMonth() + 1)
                        date.setDate(date.getDate() - 1)
                        periodEnd.value = date.getDate() + '/' + (date.getMonth() +1) + '/' + date.getFullYear()
                        break;
                }
            }
        </script>
        <script language="JavaScript1.5" src="<?=SERVER_ROOT?>/assets/javascript/json2.js" type="text/javascript"></script>
        <script language="JavaScript" type="text/javascript">            
            
            var http = null;            
            http = getHTTPObject();
            
            /*
            You can not reuse the XMLHttpRequest in IE6. 
            To do that you have to use abort() method.
            See: 
                http://radio.javaranch.com/pascarello/2006/03/30/1143735438047.html
                http://keelypavan.blogspot.com/2006/03/reusing-xmlhttprequest-object-in-ie.html
                http://blogs.pathf.com/agileajax/2006/08/object_pooling_.html
                http://ajaxian.com/archives/reusing-xmlhttprequest-without-abort
                http://en.wikipedia.org/wiki/XMLHttpRequest
            */
            
            function getHTTPObject() {
                if(http == null) {
                    //alert('Is null');
                    if (window.XMLHttpRequest) { // Mozilla, Safari,...

                        http = new XMLHttpRequest();
                        if (http.overrideMimeType) {
                            http.overrideMimeType('text/html');
                            //netscape.security.PrivilegeManager.enablePrivilege("UniversalPreferencesRead");
                        }
                    } else if (window.ActiveXObject) { // IE
                        try {
                            http = new ActiveXObject("Msxml2.XMLHTTP");
                        } catch (i) {
                            try {
                                http = new ActiveXObject("Microsoft.XMLHTTP");
                            } catch (i) {}
                        }
                    }
                    
                } else {
                    //alert('Is NOT null');
                    http.abort()
                }
                return http;                
            }
            
            function debugObject(obj) {
                for(var prop in obj) {
                    alert(prop);
                    for(var subprop in obj[prop]) {
						alert(subprop);
                    }
                }
            }
            
            function callProjects() {
                http = getHTTPObject();
                //alert('k');
                var url = '<?=SERVER_ROOT?>/common/projectsForUser.php?'
                
                //get selected user
                if (document.getElementById('employeeId')){
                    var employeeSelect = document.getElementById('employeeId');
                    var employeeId = employeeSelect.options[employeeSelect.selectedIndex].value;
                    //alert(' Employee is ' + employeeSelect.options[employeeSelect.selectedIndex].value);

                    var params = 'employeeId='+employeeId;

                    http.open("POST", url, true);
                    http.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded'); 
                    http.onreadystatechange = function() {
                        if (http.readyState == 4 && http.status == 200) {
                            var result = http.responseText;
                            //alert(result);
                            http.abort();


                            //clear project select
                            var projectSelect = document.getElementById('projectId');
                            projectSelect.options.length = 0;

                            //populate the project select
                            var myObject = JSON.parse(result, null);
                            //debugObject(myObject['projects']);
                            //alert(myObject["projects"].length);

                            projectSelect.options[0] = new Option('All projects', 'NULL');
                            var i = 1;
                            for(var k=0; k < myObject['projects'].length; k++){
                                //alert(myObject.projects[k]['name']);
                                projectSelect.options[i] = new Option(myObject.projects[k]['name'], myObject.projects[k]['id']);
                                i++;
                            }
                            
                        } else {
                            //alert('Cannot access cross domain information.' + http);
                        }
                    }
                    //alert(params);
                    http.send(params);	
                }//if
           }
    </script>
    
    </head>
    <body onload="callProjects()">
		<?php
			define('SECTION', 'reports');
			include_once("../common/header.php");
			include_once("../common/mainbar.php");
			print showErrorAndMessagesLogs();
		?>
		
<div class="current_date">Current date: &nbsp; <b><?=getDateAndTime()?></b><?=($displayReports == true) ? '| <a href="'. SERVER_ROOT .'/reports/employee-reports.php?print=true&amp;userId='. $userId .'&amp;projectId='. $projectId .'&amp;startDate='. $startTime .'&amp;endDate='. $endTime .'" target="_blank" class="print_version"><img src="'. SERVER_ROOT .'/assets/images/print2.jpg" border="0" alt="Print this report" title="Print this report">Print this report</a>' : "" ?></div>
<hr />

<? if($print != true) { ?>
    <div class="page_title">User reports</div> 
        
        <form action="<?=SERVER_ROOT?>/common/controller.php" method="post">
            <input type="hidden" name="action" value="doDisplayEmployeeReportExe"/>
            <table cellpadding="0" cellspacing="3" class="form_style">
                <tr>

                    <th><label for="employee">User</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td> 
                    <td>
                        <select id="employeeId" name="employeeId" onchange="callProjects()">
                            <option value="0" selected="selected">Select an user</option>
                            
							<?
								$users = $delegate->getUsers(array('__order' => 'user_name ASC'));
								if(count($users) > 0) { 
									foreach($users as $userKey => $user) {
										?>
										<option value="<?=$user->id?>" <?=($tmpEmployeesReports->userId) == $user->id ? 'selected="selected"' : void()?>><?=$user->name?></option>
										<?
									}
								}
							?>
                        </select>
                    </td>
                </tr>
                
                <tr>

                    <th><label for="project">Project</label></th>
                    <td>&nbsp;</td> 
                    <td>
                        <select id="projectId" name="projectId" >
                            <option value="0">Select a project</option>
                        </select>
                    </td>
                <tr>

                
                <tr>
                    <th><label for="period">Period time</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td> 
                    <td>
                        <select id="period" name="period" onchange="pickPeriod()">
                            <option value="0">Please select the period</option>
                            
                            <option value="currentMonth">Current month</option>

                            <option value="lastMonth">Last month</option>
                        </select>
                    </td> 
                </tr> 
                
                <tr>
                    <th><label for="periodStart">Start date <br/><span class="date_format_tip">[dd/mm/yyyy]</span></label></th>
                    <td></td>
                    <td>

                        <input style="width:211px;" type="text" name="periodStart" id="periodStart" value="<?=$tmpEmployeesReports->startDate?>">
                    </td>
                    <td>           
                        <input type="image" src="<?=SERVER_ROOT?>/assets/calendar/img.gif" id="periodStartTrigger">
                        <?=calendarSetup('periodStart', '%d/%m/%Y', 24, 'false', 'periodStartTrigger', 'false', 1)?>
                    </td> 
                </tr> 
                
                <tr>
                    <th><label for="periodEnd">End date <br/><span class="date_format_tip">[dd/mm/yyyy]</span></label></th>

                    <td></td>
                    <td>
                        <input style="width:211px;" type="text" name="periodEnd" id="periodEnd" value="<?=$tmpEmployeesReports->endDate?>">
                    </td>
                    <td>                             
                        <input type="image" src="<?=SERVER_ROOT?>/assets/calendar/img.gif" id="periodEndTrigger">
                        <?=calendarSetup('periodEnd', '%d/%m/%Y', 24, 'false', 'periodEndTrigger', 'false', 1)?>
                    </td> 
               </tr> 
               
              <tr>

                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td align="right">
                    <a href="<?=SERVER_ROOT?>/common/controller.php?action=goToReports" class="cancel_action">Cancel</a>
                    <input type="submit" value="Submit" class="submit_button">
                </td>
                <td>&nbsp;</td>
             </tr>

             
             <tr>
                <td class="required_field_info"><span class="required_field" title="Mandatory field">*</span>&nbsp;mandatory field</td>
             </tr>
           
           </table>
        </form>
        
<?
}
	if($displayReports) { 

	$user	=	$delegate->getUserById(intval($userId));
	
	$intStartDate	=	strtotime($startTime);
	$intEndDate		=	strtotime($endTime);
	
	$daysNo = (($intEndDate-$intStartDate)/86400+1);

?>
<!-- START : DISPLAY REPORTS -->

	<div class="page_title">User reports (<?=date("M d, Y", strtotime($startTime))?> - <?=date("M d, Y", strtotime($endTime))?>)</div> 
	<div class="page_title" style="font-size:14px;">User: <?=$user->name?></div>
	 
	<table cellpadding="7" cellspacing="0" class="list_something">

	<tr>
		<th>Day</th>
		<th>Date</th>
		<th>Project</th>
		<th>Task</th>
		<th>Start</th>
		<th>End</th>
		<th>Duration</th>
		<th>Description</th>
		<th>Entry status</th>
		<th><span class="not_finished_exclamation" ><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_unfinished.gif"  alt="Unfinished entry" title="Unfinished entry" /></span></th>
		<th><span class="not_finished_exclamation" ><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_rejected.gif"  alt="Rejected entry reason" title="Rejected entry reason" /></span></th>
		<th><span class="not_finished_exclamation" ><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_information.gif" alt="Entry information" title="Entry information"/></span></th>
	</tr>
	
	<?
		$firstDate = $intStartDate;
		for($i = 1; $i <= $daysNo; $i++) {
		
		if(is_numeric($projectId) AND $projectId > 0) {
			$entries = $delegate->getEntriesByDateUserIdAndProjectId(date("Y-m-d", $firstDate), $user->id, $projectId);
		} else {
			$entries = $delegate->getEntriesByDateAndUserId(date("Y-m-d", $firstDate), $user->id);
		}
		
		$tdClass = "top_only";
	?>
	<tr>
		<td class="<?=$tdClass?>"><?=date("D", $firstDate)?></td>
		<td class="<?=$tdClass?>"><?=date("M d, Y", $firstDate)?></td>
	<?
		// If user have entries for this date
		if(count($entries) > 0) {
			$k = 0;
			foreach($entries as $entryKey => $entry) {
				$k++;
					?>
					<!-- PROJECT NAME -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?
							$projects = $delegate->getProjects(array("id" => $entry->projectId));
							print $projects[0]->name;
						?>
					</td>
					
					<!-- TASK NAME -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?
							if(is_numeric($entry->taskId)) {
								$tasks = $delegate->getTasks(array("id" => $entry->taskId));
								print $tasks[0]->name;
							}
						?>
					</td>

					<!-- START TIME -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?=(!empty($entry->startTime)) ? date("H:i", strtotime($entry->startTime)) : "" ?>
					</td>
					
					<!-- END TIME -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?=(!empty($entry->endTime)) ? date("H:i", strtotime($entry->endTime)) : "" ?>
					</td>

					<!-- TIME SPAN -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?=(is_numeric($entry->timeSpan)) ? "<b>". date("H:i", mktime(0, $entry->timeSpan, 0, 0, 0, 0))."</b>" : "" ?>
						<?	
							if($entry->status != ENTRY_STATUS_REJECTED) {
								$totalTimeSpan += $entry->timeSpan;
								$totalTimeSpanForThisDay += $entry->timeSpan;
							}
						?>
					</td>

					<!-- DESCRIPTION -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?=$entry->description?>
					</td>
					
					<!-- STATUS -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?>>&nbsp;
						<?	if($entry->status == ENTRY_STATUS_REJECTED) { ?>
							<a href="<?=SERVER_ROOT?>/common/controller.php?action=goToChangeEntryStatus&amp;newStatus=approved&amp;entryId=<?=$entry->id?>&amp;userId=<?=$user->id?>&amp;projectId=<?=$projectId?>&amp;taskId=<?=$taskId?>&amp;startDate=<?=$startTime?>&amp;endDate=<?=$endTime?>">Approve this entry</a>
						<?	} else { ?>
							<a href="<?=SERVER_ROOT?>/common/controller.php?action=goToChangeEntryStatus&amp;entryId=<?=$entry->id?>&amp;userId=<?=$user->id?>&amp;projectId=<?=$projectId?>&amp;taskId=<?=$taskId?>&amp;startDate=<?=$startTime?>&amp;endDate=<?=$endTime?>">Reject this entry</a>
						<?	}	?>
					</td>

					<!-- UNFINISHED -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?> <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>>&nbsp;
						<?	if(!empty($entry->startTime) AND empty($entry->endTime)) { ?>
							<span class="not_finished_exclamation" ><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_unfinished.gif"  alt="Unfinished entry" title="Unfinished entry" /></span>
        
						<?} else {
							// nothing
						}
						?>
					</td>
					
					<!-- NOTE -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?>>&nbsp;
						<?	if ($entry->status == ENTRY_STATUS_REJECTED) { ?>
			                    <img src="<?=SERVER_ROOT?>/assets/images/icons/entry_rejected.gif"  
                         onMouseover="ddrivetip('<span class=\'ddrivetip_text_standard\'>' +
												'Rejected entry reason: <br/>' +
												'<span class=\'ddrivetip_text\'><?=(!empty($entry->note)) ?  str_replace("\r", "", str_replace("\n", "<br/>", str_replace("\"", "\\'\\'", str_replace("\'", "\\'", $entry->note)))) : "-" ?></span><br/>' +
												'Rejected date: <?=(strtotime($entry->statusDate)) ? $entry->statusDate : "-" ?><br/>' +
												'<hr/>' +
												'For more information, please contact the administrator!' +
												'</span>')" 
						onMouseout="hideddrivetip()" />
						<?	} ?>
					</td>
					
					<!-- INFO -->
					<td <?=($k == 1) ? "class=\"{$tdClass}\"" : ""?>>
						<img src="<?=SERVER_ROOT?>/assets/images/icons/entry_information.gif" 
							 onMouseover="ddrivetip('<span class=\'ddrivetip_text_standard_info_entry\'>' +
													'<b>Entry information:</b> <br/>' +
													'Add date: <?=(strtotime($entry->checkDate)) ? $entry->checkDate : "-" ?> <br/> ' +
													'Add from IP: <?=(!empty($entry->checkDateIp)) ? $entry->checkDateIp : "-" ?> <br/> ' +
		
													'<hr/>' +
											 
													'\'Start\' date: <?=(strtotime($entry->checkStartTime)) ? $entry->checkStartTime : "-" ?> <br/> ' +
													'\'Start\' from IP: <?=(!empty($entry->checkStartTimeIp)) ? $entry->checkStartTimeIp : "-" ?> <br/> ' +

													'<hr/>' +
													 
													'\'End\' date: <?=(strtotime($entry->checkEndTime)) ? $entry->checkEndTime : "-" ?> <br/>' +
													'\'End\' from IP: <?=(!empty($entry->checkEndTimeIp)) ? $entry->checkEndTimeIp : "-" ?> <br/>' +
													
													'</span>' )" 
							onMouseout="hideddrivetip()" />
					</td>
					
					
				<?	
					if(count($entries) > 1 AND $k < count($entries)) {
				?>
						</tr>
						<tr>
							<td></td>
							<td></td>
				<? }
			}
			
		// If user don't have entries for this date
		} else {
			?>
			<td colspan="10" class="<?=$tdClass?>">&nbsp;</td>
			<?
		}
					
		$firstDate = $firstDate + 86400;
		
			if($totalTimeSpanForThisDay > 0) { ?>
				<tr>
					<td class="top_only total" colspan="6" align="right">Total per day:</td>
					<td class="top_only total" colspan="1" align="center"><b><?=date("H:i", mktime(0, $totalTimeSpanForThisDay, 0, 0, 0, 0))?></b></td>
					<td class="top_only total" colspan="5">&nbsp;</td>
				</tr>
		<?
			unset($totalTimeSpanForThisDay);
			}
		}
	?>
			<tr>
				<td class="top_only total" colspan="12" align="center">
					Total hours for selected period of time: <b><?=floor($totalTimeSpan/60) .":".$totalTimeSpan%60?></b>	
				</td>
			</tr>
</table>
    
<!-- END : DISPLAY REPORTS -->
<?	} ?>
        
        <!-- TOOLTIP: { JScript pentru mmouseover -->
        <div id="dhtmltooltip"></div>
        <script type="text/javascript">
            <!--    
            var offsetxpoint = 15; //Customize x offset of tooltip
            var offsetypoint = 10; //Customize y offset of tooltip
            var ie  = document.all;
            var ns6 = document.getElementById && !document.all;
            var enabletip = false;
            if (ie||ns6)
            var tipobj=document.all? document.all["dhtmltooltip"] : document.getElementById? document.getElementById("dhtmltooltip") : "";
            document.onmousemove = positiontip;
            //-->
        </script>
        <!-- TOOLTIP:  JScript pentru mouseover } -->
        
        <br/>
        <br/>
        <!--footer-->
<?		
if($print == false) { ?>
		<!-- FOOTER -->
        <?include_once("../common/footer.php");?>
        
<? } ?>
    </body>
</html>