<?php
include_once('../common/delegate.php');
include_once('../common/calendar.php');

// Start the session
session_start();

// Check if user is logged
if(!is_numeric($_SESSION['userId'])) {
	header('Location: '. SERVER_ROOT .'');
	exit();
}

if(!empty($_GET['print']) AND $_GET['print'] == true AND !empty($_GET['startDate']) AND !empty($_GET['endDate'])) {
	$print		=	true;
	$startDate	=	$_GET['startDate'];
	$endDate	=	$_GET['endDate'];
	
} else {
	$print = false;
}


if(!empty($_SESSION['generalReports']['start']) AND !(empty($_SESSION['generalReports']['end']))) {
	$startDate	=	$_SESSION['generalReports']['start'];
	$endDate	=	$_SESSION['generalReports']['end'];
	
	unset($_SESSION['generalReports']['start']);
	unset($_SESSION['generalReports']['end']);
}

// Make new Delegate instance
$delegate = new Delegate();

// Load user as object, from SQL by id
$loggedUser = $delegate->getUserById($_SESSION['userId']);

// Check if logged user is admin
if($loggedUser->level < USER_LEVEL_ADMIN) {
	header('Location: '. SERVER_ROOT .'/daily/daily.php');
	exit();
}

if(is_object($_SESSION['tmpGeneralReports'])) {
	$tmpGeneralReports = $_SESSION['tmpGeneralReports'];
	$_SESSION['tmpGeneralReports'] = null;
	unset($_SESSION['tmpGeneralReports']);
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="expires" content="0">
        <title>General reports</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        
        <?	if($print == true) { ?>
        	<link href="<?=SERVER_ROOT?>/assets/css/print.css" rel="stylesheet" type="text/css" />
        <?	} else { ?>
        	<link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        <?	}	?>
        
        <link href="<?=SERVER_ROOT?>/assets/calendar/calendar-win2k-1.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/calendar/calendar.js"></script>
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/calendar/lang/calendar-en.js"></script>

        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/calendar/calendar-setup.js"></script>
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>     
        <script language="JavaScript" type="text/javascript">            
            function pickPeriod() {
                
                var period		= document.getElementById('period');
                var periodStart	= document.getElementById('periodStart');
                var periodEnd	= document.getElementById('periodEnd');
                
                switch(period.value) {

                    case 'currentMonth':
                        var date = new Date()
                        date.setDate(1)
                        periodStart.value = date.getDate() + '/' + (date.getMonth() +1) + '/' + date.getFullYear();       
                        
                        date.setMonth(date.getMonth() + 1)
                        date.setDate(date.getDate() - 1)
                        periodEnd.value = date.getDate() + '/' + (date.getMonth() +1) + '/' + date.getFullYear();  
                        break;
                        
                    case 'lastMonth':
                        var date = new Date();
                        date.setDate(1)
                        date.setMonth(date.getMonth() - 1)
                        periodStart.value = date.getDate() + '/' + (date.getMonth() +1) + '/' + date.getFullYear();                        
                        
                        date.setMonth(date.getMonth() + 1)
                        date.setDate(date.getDate() - 1)
                        periodEnd.value = date.getDate() + '/' + (date.getMonth() +1) + '/' + date.getFullYear();                        
                        break;
                }
            }
        </script>
    </head>
    
    <body>
		<?php
			define('SECTION', 'reports');
			include_once('../common/header.php');
			include_once('../common/mainbar.php');
			print showErrorAndMessagesLogs();
		?>

<div class="current_date">Current date: &nbsp; <b><?=getDateAndTime()?></b><?=(!empty($startDate) AND !empty($startDate)) ? '| <a href="'. SERVER_ROOT .'/reports/general-reports.php?print=true&startDate='. $startDate .'&amp;endDate='. $endDate .'" target="_blank" class="print_version"><img src="'. SERVER_ROOT .'/assets/images/print2.jpg" border="0" alt="Print this report" title="Print this report">Print this report</a>' : "" ?></div>
<hr />

<? if($print == false) { ?>
        <div class="page_title">General reports</div> 
        
        <form action="<?=SERVER_ROOT?>/common/controller.php" method="POST">
            <input type="hidden" name="action" value="doShowGeneralReportsExe"/>
            <table cellpadding="0" cellspacing="3" class="form_style">
                <tr>

                    <th><label for="period">Period time</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td> 
                    <td>
                        <select id="period" name="period" onchange="pickPeriod()">
                            <option value="0">Please select the period</option>
                            
                            <option value="currentMonth">Current month</option>

                            <option value="lastMonth">Last month</option>
                        </select>
                    </td> 
                </tr> 
                
                <tr>
                    <th><label for="periodStart">Start date<br/><span class="date_format_tip">[dd/mm/yyyy]</span></label></th>
                    <td>&nbsp;</td>
                    <td>
                        <input type="text" name="periodStart" id="periodStart" value="<?=$tmpGeneralReports->startDate?>">
                    </td>
                    <td> 
                     <input type="image" src="<?=SERVER_ROOT?>/assets/calendar/img.gif" id="periodStartTrigger">
					 <?=calendarSetup('periodStart', '%d/%m/%Y', 24, 'false', 'periodStartTrigger', 'false', 1)?>
                    </td> 
                </tr> 
                
                <tr>
                    <th><label for="periodEnd">End date<br/><span class="date_format_tip">[dd/mm/yyyy]</span></label></th>

                    <td>&nbsp;</td>
                    <td>
                        <input style="width:211px;" type="text" name="periodEnd" id="periodEnd" value="<?=$tmpGeneralReports->endDate?>">
                    </td>
                    <td>                             
                        <input type="image" src="<?=SERVER_ROOT?>/assets/calendar/img.gif" id="periodEndTrigger">
                        <?=calendarSetup('periodEnd', '%d/%m/%Y', 24, 'false', 'periodEndTrigger', 'false', 1)?>
                    </td> 
               </tr> 
               
              <tr>

                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td align="right">
                    <a href="<?=SERVER_ROOT?>/common/controller.php?action=goToReports" class="cancel_action">Cancel</a>
                    <input type="submit" value="Submit" class="submit_button">
                </td>
                <td>&nbsp;</td>
             </tr>

             
             <tr>
                <td class="required_field_info"><span class="required_field" title="Mandatory field">*</span>&nbsp;mandatory field</td>
            </tr>
           </table>
        </form>
<? }


if(!empty($startDate) AND !empty($endDate)) {
	
	list($startDateDay,	$startDateMonth, $startDateYear)	=	explode('/', $startDate);
	list($endDateDay,	$endDateMonth,   $endDateYear)		=	explode('/', $endDate);
	
	$timeEndDate	=	strtotime(str_replace('/', '-', $endDate));
	$timeStartDate	=	strtotime(str_replace('/', '-', $startDate));
	$daysNo = (($timeEndDate-$timeStartDate)/86400+1);
	
	// Make new Calendar instance
	$calendar = new Calendar();
	
	$users = $delegate->getUsers();
?>
        <div class="page_title">General reports ( <?=$startDate?> - <?=$endDate?> )</div> 
        
        <table cellpadding="10" cellspacing="0" class="list_something">            
            <tr>
                <th rowspan="2">Date</th>
                <th colspan="<?=count($users)?>">Employees</th>
			</tr>
			
			<tr>
				<?
				foreach($users as $userKey => $user) {
					echo "<th>{$user->name}</th>\n";
				}
				?>
			</tr>
			
			<?	
				$nextDayAndMonth = $timeStartDate;
				for($i = 1; $i<= $daysNo; $i++) {
			?>
				<tr>
					<td><?=date('Y-m-d', $nextDayAndMonth)?></td>
					<?	foreach($users as $userKey => $user) {
							
							$timeSpan = $delegate->computeUserTimeSpanByDate($user->id, date('Y-m-d', $nextDayAndMonth));
							if(is_numeric($timeSpan) AND $timeSpan > 0) {
								echo '<td>'. date('H:i', mktime(0, $timeSpan, 0, 0, 0, 0)) ."</td>\n";
								
							} else {
								echo "<td>&nbsp;</td>";
							}
						}							
					?>
				</tr>
			<?
				$nextDayAndMonth = $nextDayAndMonth + 86400;
				
				}
			?>
			
            <tr>
                <th rowspan="2">Total</th>
                <?	foreach($users as $userKey => $user) {
                		$totalTimeSpan = $delegate->computeUserTimeSpanByDates($user->id, date('Y-m-d', $timeStartDate), date('Y-m-d', $timeEndDate));
                		
                		if(is_numeric($totalTimeSpan) AND $totalTimeSpan > 0) {
							echo '<td>'. floor($totalTimeSpan/60) .':'.$totalTimeSpan%60 ."</td>\n";
								
						} else {
							echo '<td>&nbsp;</td>';
						}
                	}
                ?>
			</tr>
			
		</table>
<? }
		
if($print == false) { ?>
		<!-- FOOTER -->
        <?include_once('../common/footer.php');?>
        
<? } ?>
    </body>
</html>