<?php
include_once('common/delegate.php');
include_once('common/calendar.php');

// Start the session
session_start();

// Check if user is logged
if(!is_numeric($_SESSION['userId'])) {
	header("Location: ". SERVER_ROOT ."");
	exit();
}

// Make new Delegate instance
$delegate = new Delegate();

// Load user as object, from SQL by id
$loggedUser = $delegate->getUserById($_SESSION['userId']);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Settings</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    <body>
<?php
define('SECTION', 'settings');
include_once("common/header.php");
include_once("common/mainbar.php");
print showErrorAndMessagesLogs();
?>
        
<div class="current_date">Current date: &nbsp; <b><?=getDateAndTime()?></b></div>
<hr />

<?
$licences = loadKey();

if($licences != false) {
	?>
	<div class="page_title">Current license</div>
    
    <div class="current_date">
        License purchase date: <?=(!empty($licences['PURCHASE_DATE'])) ? date("M d, Y", strtotime($licences['PURCHASE_DATE'])) : 'unknown'?><br />
    	Company: <?=$licences['COMPANY']?><br />
    	Buyer: <?=$licences['BUYER_NAME']?><br />
    	Expire: <?=(strtotime($licences['EXPIRY'])) ? date("M d, Y", strtotime($licences['EXPIRY'])) : 'never'?>
    	
    	<?php
    	if(strtotime($licences['EXPIRY'])) {
    		
    		$expiriDate		=	strtotime($licences['EXPIRY']);
    		$currentDate	=	strtotime(date("Y-m-d"));
    		
    		$expireIn		=	$expiriDate - $currentDate;
    		
    		if($expireIn > 0) {
    			echo '<br />Your license will expire in <b>'. round($expireIn/60/60/24) .'</b> days !';
    		}		
    	}?>
        
	</div>
    
	<?php echo '<hr />';
	
} else {
	print "<font color=\"red\"><b>". LICENSE_ERROR ."</b></font>";
}?>
	

<?php if($loggedUser->level >= USER_LEVEL_ADMIN) { ?>
<div class="page_title">Add new license file</div>
    <form action="<?=SERVER_ROOT?>/common/controller.php" enctype="multipart/form-data" method="post">
    	<input type="hidden" name="action" value="doAddLicenseFileExe" />
        <table cellpadding="0" cellspacing="3" class="form_style">
            <tr>
                <th>License file</th>
                <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                <td>
                        <input type="file" name="licenseFile">&nbsp;
                        <input type="submit"   class="submit_button" value="Add license" />
                 </td>
            </tr>
            
            <tr>
               <td colspan="3"  class="required_field_info"><span class="required_field">*</span>&nbsp;mandatory field</td>
            </tr>
        </table>
    </form>
<br /><hr />
<?
} else {
	if($licences == false) {
		echo '<br />Please contact your administrator about that error!';
	}
}	?>

<div class="page_title">TimeTracker Settings</div>

<?php if($loggedUser->level >= USER_LEVEL_ADMIN) { ?>
	<!-- START: Company Name -->
	<form action="<?=SERVER_ROOT?>/common/controller.php" method="post">
		<input type="hidden" name="action" value="doChangeCompanyNameExe" />
		<table cellpadding="0" cellspacing="3" class="form_style" width="400" border="0">
            <tr>
                <td align="right" width="28%"><b>Company Name</b></td>
                <td align="center" width="42%"><input type="text" name="companyName" style="width:150px;" value="<?=COMPANY_NAME?>" /></td>
                <td align="left"><input type="submit" value="Change"  class="submit_button" /></td>
            </tr>
		</table>
	</form>
	<!-- END: Company Name -->
	
	
	<!-- START: First day of weekd -->
	<form action="<?=SERVER_ROOT?>/common/controller.php" method="post">
		<input type="hidden" name="action" value="doChangeFirstDayOfWeek" />
		<table cellpadding="0" cellspacing="3" class="form_style" width="400px" border="0">
            <tr>
                <td align="right" width="28%"><b>First day of week</b></td>
                <td align="center" width="42%">
                	<select name="firstDayOfWeek" style="width: 155px">
						<option value="mon" <?=(FIRST_DAY_OF_WEEK == 'mon') ? 'selected="selevted"' : void()?>>Monday</option>
						<option value="sun" <?=(FIRST_DAY_OF_WEEK == 'sun') ? 'selected="selevted"' : void()?>>Sunday</option>
					</select>
				</td>
                <td align="left"><input type="submit" value="Change"  class="submit_button"/></td>
            </tr>
		</table>
	</form>
	<!-- END: First day of weekd -->
	
<? } else { ?>
	<!-- START: Company Name -->
	<table cellpadding="0" cellspacing="3" class="form_style" width="300px" border="0">
        <tr>
            <td align="left" width="28%"><b>Company Name:</b></td>
            <td align="center" width="42%"><?=COMPANY_NAME?></td>
        </tr>
	</table>
	<!-- END: Company Name -->
		
	<!-- START: First day of weekd -->
	<table cellpadding="0" cellspacing="3" class="form_style" width="300px" border="0">
        <tr>
            <td align="left" width="28%"><b>First day of week:</b></td>
            <td align="center" width="42%"><?=(FIRST_DAY_OF_WEEK == 'sun') ? 'Sunday' : 'Monday' ?></td>
        </tr>
	</table>
	<!-- END: First day of weekd -->
<? } ?>
    
		<!-- FOOTER -->
        <?include_once("common/footer.php");?>
    </body>
</html>